Subject: Re: Cygwin Net - Compilation
From: DEEPA SIVASANKARANE <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 17 Jun 2003 11:24:16 -0400

Hi Igor,

  Greetings! I'm getting back to this problem, as I had
to work on another lib. Anyway,just to recap the contents
below, 
1) I'm using an arch . specific gcc - umsgcc (specs below)
2)  On compilation unable to find a few include files,
 so, did the foll. (as u suggested)
 1. mount -u -c '/\'   ; to get a "//c"  cygdrive prefix.
 2. mount c:/ /c        ; to get $PATH to work.

I still have the same problem with umsgcc. umsgcc is said to 
support the options that gcc supports. Any suggestions
ost welcome.

 Make output being:

make ARCH=UMS CROSS_COMPILE=ums -C linux-2.4.x  || exit 1
make[1]: Entering directory `/home/Administrator/uClinux-
dist/linux-2.4.x'
arch/UMS/Makefile:67: warning: overriding commands for target 
`archclean'
arch/UMS/platform/UMS/Rules.make:48: warning: ignoring old 
commands for target `archclean'
//c/UMS/bin/umsgcc -fno-builtin -nostdinc -D__KERNEL__   -
I/home/Administrator/uClinux-dist/linux-2.4.x/include/  -
Wall -Wstrict-prototypes -Wno-trigraphs -O1 -g -fno-strict-
aliasing -fno-common -I../include -pipe -DNO_MM -DNO_FPU -
Wa, -DMAGIC_ROM_PTR -DUTS_SYSNAME=\"uClinux\"   -
DKBUILD_BASENAME=main -c -o init/main.o init/main.c

init/main.c:14:25: No include path in which to find 
linux/config.h

init/main.c:15:26: No include path in which to find 
linux/proc_fs.h

init/main.c:16:34: No include path in which to find 
linux/devfs_fs_kernel.h

init/main.c:17:25: No include path in which to find 
linux/unistd.h

------------------------------------------------------------

Thank you,
best regards,
Deepa

---- Original message ----
>Date: Tue, 13 May 2003 14:00:41 -0400 (EDT)
>From: Igor Pechtchanski <[email-masked]>  
>Subject: Re: Cygwin Net - Compilation  
>To: DEEPA SIVASANKARANE <[email-masked]>
>Cc: [email-masked]
>
>Deepa,
>
>See <http://cygwin.com/faq/faq.html#SEC54>.  You may also be 
able to run
>the old toolset by setting your cygdrive prefix to "//" (the 
obvious way,
>"mount -u -c //", won't work, but you can circumvent it by 
using
>"mount -u -c '/\'") -- *NOTE that this will make you unable 
to access any
>network share from that user account!*
>	Igor
>P.S. Try passing the -specs=FILE option to umsgcc -- that 
should make it
>read the specs from FILE, unless they *really* diverged from 
the gcc
>codebase.
>
>On Tue, 13 May 2003, DEEPA SIVASANKARANE wrote:
>
>> Thanx, Igor. Shall work on getting the new toolset, with
>> configure options changed.
>> Unfortunately, umsgcc does'nt read from a "specs" file
>> like gcc, but uses "built-in specs".
>>
>> BTW, the new syntax for drives is just /c or /cygdrive/c ?
>>
>> Thanx again,
>> best regards,
>> Deepa
>>
>>
>> ---- Original message ----
>> >Date: Mon, 12 May 2003 16:30:27 -0400 (EDT)
>> >From: Igor Pechtchanski <[email-masked]>
>> >Subject: Re: Cygwin Net - Compilation
>> >To: DEEPA SIVASANKARANE <[email-masked]>
>> >Cc: [email-masked]
>> >
>> >On Mon, 12 May 2003, DEEPA SIVASANKARANE wrote:
>> >
>> >> Hi folks,
>> >>
>> >>   I'm using a certain arch. specific gcc (umsgcc) for
>> >> compilation, whose specs are as below. It looks like
>> >> "umsgcc" was compiled in a Redhat Cygwin environment ?
>> >>
>> >> This is the one available to me and when I try to
>> >> use it on Cygwin Net release, there were some "file
>> >> not found" errors,  tho the files were there and I had
>> >> used "-I" option to include the directory.
>> >>  Could anybody pls. help or suggest something ?
>> >>
>> >> Thanx in advance,
>> >> best regards,
>> >> Deepa
>> >>
>> >> --------------------------------------------------------
---
>> >> Using builtin specs.
>> >> Configured 
with: //d/sanjiv/proj/tools/redhat/configure --host=i686-pc-
cygwin --target=cra8500-elf --prefix=//f/redhat/cradle --exec-
prefix=//f/redhat/cradle/H-i686-pc-cygwin
>> >> UMSGCC version 3.2.042 (with gcc version 2.97-cradle-
011011)
>> >
>> >Deepa,
>> >
>> >The configure options above use the old syntax for 
different drives.  The
>> >newer Cygwin DLLs (starting from 1.3.1, I think) 
interpret the above as,
>> >for example, the share "redhat" on server "f" (which you 
most likely don't
>> >have, thus the errors).  It probably takes quite a bit of 
time, too.
>> >
>> >I'm not sure what you mean by "this is the only one 
available" -- Cygwin
>> >has a "gcc" package...  Unless you mean "available for 
that target
>> >architecture".
>> >
>> >One way to fix this is to recompile the toolchain by 
providing the correct
>> >options to configure.  Another is to provide your own 
specs file (which is
>> >not mentioned above, BTW, use -dumpspecs for that).  See 
the gcc info page
>> >for the format of the specs file.
>> >       Igor
>
>-- 
>				http://cs.nyu.edu/~pechtcha/
>      |\      _,,,---,,_		[email-masked]
>ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  
Meow!
>
>Knowledge is an unending adventure at the edge of 
uncertainty.
>  -- Leto II
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/